Index: Documentation/isdn/INTERFACE.fax
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/INTERFACE.fax,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/INTERFACE.fax	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/INTERFACE.fax	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: INTERFACE.fax,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: INTERFACE.fax,v 1.2 2004/08/04 01:33:03 joff Exp $
 
 
 Description of the fax-subinterface between linklevel and hardwarelevel of 
Index: Documentation/isdn/README.act2000
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/README.act2000,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/README.act2000	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/README.act2000	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.act2000,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: README.act2000,v 1.2 2004/08/04 01:33:03 joff Exp $
 
 This document describes the ACT2000 driver for the
 IBM Active 2000 ISDN card.
Index: Documentation/isdn/README.audio
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/README.audio,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/README.audio	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/README.audio	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.audio,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: README.audio,v 1.2 2004/08/04 01:33:03 joff Exp $
 
 ISDN subsystem for Linux.
   Description of audio mode.
Index: Documentation/isdn/README.eicon
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/README.eicon,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/README.eicon	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/README.eicon	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.eicon,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: README.eicon,v 1.2 2004/08/04 01:33:03 joff Exp $
 
 (c) 1999,2000 Armin Schindler (mac@melware.de)
 (c) 1999,2000 Cytronics & Melware (info@melware.de)
Index: Documentation/isdn/README.hysdn
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/README.hysdn,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/README.hysdn	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/README.hysdn	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.hysdn,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: README.hysdn,v 1.2 2004/08/04 01:33:03 joff Exp $
 The hysdn driver has been written by
 by Werner Cornelius (werner@isdn4linux.de or werner@titro.de) 
 for Hypercope GmbH Aachen Germany. Hypercope agreed to publish this driver
Index: Documentation/isdn/README.icn
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/isdn/README.icn,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/isdn/README.icn	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/isdn/README.icn	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.icn,v 1.1 2004/07/22 19:50:29 joff Exp $
+$Id: README.icn,v 1.2 2004/08/04 01:33:03 joff Exp $
 
 You can get the ICN-ISDN-card from:
 
Index: Documentation/m68k/00-INDEX
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/m68k/00-INDEX,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/m68k/00-INDEX	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/m68k/00-INDEX	4 Aug 2004 01:33:03 -0000	1.2
@@ -1,7 +1,5 @@
 00-INDEX
 	- this file
-framebuffer.txt
-	- info about the Linux/m68k frame buffer device
 kernel-options.txt
 	- command line options for Linux/m68k
 
Index: Documentation/mips/time.README
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/mips/time.README,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/mips/time.README	22 Jul 2004 19:50:29 -0000	1.1
+++ Documentation/mips/time.README	4 Aug 2004 01:33:03 -0000	1.2
@@ -103,9 +103,9 @@
      Do you plan to use the CPU counter register as the timer interrupt
      or use an exnternal timer?
 
-     In order to CPU counter register as the timer interrupt source, you must
-     know the counter speed (mips_counter_frequency).  It is usually the
-     same as the CPU speed (Or it is ALWAYS the same?)
+     In order to use CPU counter register as the timer interrupt source, you 
+     must know the counter speed (mips_counter_frequency).  It is usually the
+     same as the CPU speed or an integral divisor of it.
 
   d) decide on whether you want to use high-level or low-level timer
      interrupt routines.  The low-level one is presumably faster, but should
@@ -154,8 +154,45 @@
 for some of the functions in time.c.  
 
 For example, you may define your own timer interrupt routine, which does
-its own processing and in turn calls timer_interrupt().
+some of its own processing and then calls timer_interrupt().
 
 You can also over-ride any of the built-in functions (gettimeoffset,
 RTC routines and/or timer interrupt routine).
 
+
+PORTING NOTES FOR SMP
+----------------------
+
+If you have a SMP box, things are slightly more complicated.  
+
+The time service running every jiffy is logically divided into two parts:
+
+  1) the one for the whole system  (defined in timer_interrupt())
+  2) the one that should run for each CPU (defined in local_timer_interrupt())
+
+You need to decide on your timer interrupt sources.
+
+  case 1) - whole system has only one timer interrupt delivered to one CPU
+
+	In this case, you set up timer interrupt as in UP systems.  In addtion,
+	you need to set emulate_local_timer_interrupt to 1 so that other
+	CPUs get to call local_timer_interrupt().
+
+	THIS IS CURRENTLY NOT IMPLEMNETED.  However, it is rather easy to write
+	one should such a need arise.  You simply make a IPI call.
+
+  case 2) - each CPU has a separate timer interrupt
+
+	In this case, you need to set up IRQ such that each of them will
+	call local_timer_interrupt().  In addition, you need to arrange
+	one and only one of them to call timer_interrupt().
+
+	You can also do the low-level version of those interrupt routines,
+	following similar dispatching routes described above.
+
+Note about do_gettimeoffset():
+  
+  It is very likely the CPU counter registers are not sync'ed up in a SMP box.
+  Therefore you cannot really use the many of the existing routines that
+  are based on CPU counter.  You should wirte your own gettimeoffset rouinte
+  if you want intra-jiffy resolution.
Index: Documentation/networking/00-INDEX
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/Documentation/networking/00-INDEX,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- Documentation/networking/00-INDEX	22 Jul 2004 19:50:30 -0000	1.1
+++ Documentation/networking/00-INDEX	4 Aug 2004 01:33:03 -0000	1.2
@@ -97,8 +97,8 @@
 sis900.txt
 	- SiS 900/7016 Fast Ethernet device driver info.
 sk98lin.txt
-	- SysKonnect SK-98xx and SK-98xx Gigabit Ethernet Adapter family 
-	  driver info.
+	- Marvell Yukon Chipset / SysKonnect SK-98xx compliant Gigabit
+	  Ethernet Adapter family driver info
 skfp.txt
 	- SysKonnect FDDI (SK-5xxx, Compaq Netelligent) driver info.
 smc9.txt
